Skip to main content
GET
/
v1
/
legal
/
sources
List legal sources
curl --request GET \
  --url https://api.plane.com/v1/legal/sources \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.plane.com/v1/legal/sources"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.plane.com/v1/legal/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "lawsrc_K4mQ9rT2pL8x",
      "object": "legal.source",
      "type": "statute",
      "jurisdiction": { "country": "GB" },
      "title": "Employment Rights Act 1996",
      "original_title": null,
      "citation": "1996 c. 18",
      "identifier": "ukpga/1996/18",
      "url": "https://www.legislation.gov.uk/ukpga/1996/18",
      "languages": ["en"],
      "adopted": "1996-05-22",
      "starts": "1996-08-22",
      "ends": null,
      "lineage": {
        "amends": [],
        "amended_by": [],
        "repeals": [],
        "repealed_by": []
      },
      "created": "2026-06-09T12:00:00Z",
      "updated": "2026-06-09T12:00:00Z"
    }
  ],
  "has_more": false
}

Parameters

country
string
Two-letter country code.
state
string
State, province, or subdivision code.
type
string
Legal source type, such as statute or regulation.
identifier
string
Jurisdiction-native canonical identifier, e.g. ukpga/1996/18.
on
string
In-force date filter. Returns sources in force on this date.
limit
number
A limit on the number of objects to be returned. Limit can range between 1 and 100.
cursor
string
Opaque pagination cursor.

Returns

A list object with object: "list", data, and has_more. When has_more is true the envelope also includes cursor, the opaque token to pass as cursor on the next request.
{
  "object": "list",
  "data": [
    {
      "id": "lawsrc_K4mQ9rT2pL8x",
      "object": "legal.source",
      "type": "statute",
      "jurisdiction": { "country": "GB" },
      "title": "Employment Rights Act 1996",
      "original_title": null,
      "citation": "1996 c. 18",
      "identifier": "ukpga/1996/18",
      "url": "https://www.legislation.gov.uk/ukpga/1996/18",
      "languages": ["en"],
      "adopted": "1996-05-22",
      "starts": "1996-08-22",
      "ends": null,
      "lineage": {
        "amends": [],
        "amended_by": [],
        "repeals": [],
        "repealed_by": []
      },
      "created": "2026-06-09T12:00:00Z",
      "updated": "2026-06-09T12:00:00Z"
    }
  ],
  "has_more": false
}